# _*_ coding: utf8 _*_
import time # В этом модуле - задержки
import smbus # В этом модуле - средства для работы с шиной i2c
from Tkinter import * # Инструментарий для GUI
#-------------------------------------------------------------------------------
# Тестирование firmware контроллера ТЭНа
#-------------------------------------------------------------------------------
addrC = 0x12 # Адрес контроллера контактора
addrT = 0x13 # Адрес контроллера ТЭНа
#-------------------------------------------------------------------------------
def fC(): # Вызывается при изменении состояния чекбокса
  global vC
  bus.write_byte(addrC, vC.get());
#-------------------------------------------------------------------------------
def fT(): # Вызывается при изменении состояния спинбокса
  global sbT, pdm
  pdm = int(sbT.get())
  bus.write_byte(addrT, pdm);
#-------------------------------------------------------------------------------
def wclose(): # Перед закрытием главного окна приложения выключим ТЭН
  bus.write_byte(addrT, 0);
  bus.write_byte(addrC, 0);
  root.destroy()
#-------------------------------------------------------------------------------
bus = smbus.SMBus(1) # Создаем объект "шина i2c"
root = Tk(); root.geometry('122x42') # Создаем и настраиваем главное окно
root.protocol('WM_DELETE_WINDOW', wclose)
vC = IntVar() # Состояние чекбокса (контактора)
# Создаем объект - чекбокс
chC = Checkbutton(text = 'Контактор', command = fC, variable = vC)
pdm = 0 # Уровень pdm-модуляции
lpdm = Label(text = 'PDM (%) = ', width = 12, anchor = 'w') # Метка PDM
# Создаем объект - спинбокс
sbT = Spinbox(from_ = 0, to = 100, width = 3, command = fT, justify = RIGHT)
# Размещаем виджеты в главном окне
chC.place(x = 0, y = 0)
lpdm.place(x = 0, y = 20)
sbT.place(x = 80, y = 20)
root.mainloop() # Главный цикл приложения
